Bug 215239 - [PATCH] security/fail2ban: Upgrade to 0.9.6
Summary: [PATCH] security/fail2ban: Upgrade to 0.9.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords: patch
: 215354 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-12-12 00:35 UTC by John W. O'Brien
Modified: 2016-12-27 21:26 UTC (History)
2 users (show)

See Also:
theis: maintainer-feedback+


Attachments
security/py-fail2ban: Upgrade to 0.9.6 (3.19 KB, patch)
2016-12-12 00:35 UTC, John W. O'Brien
john: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2016-12-12 00:35:36 UTC
Created attachment 177898 [details]
security/py-fail2ban: Upgrade to 0.9.6

Changelog
=========

*   Upgrade to 0.9.6

QA
==

* portlint: OK (no new warnings)
* poudriere: OK (10.3R amd64 with py27, py34, py35)
Comment 1 theis 2016-12-20 11:32:25 UTC
I have submitted my own patch (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215354) a couple of days later. Basically they are identical, except that I removed the variable GH_TAGNAME from the Makefile, because that was used to get a patch of a released version.

I don't mind which one you'll use.
Comment 2 Nikolai Lifanov freebsd_committer 2016-12-26 16:45:25 UTC
Thank you for the submission! I'll work on it in 215354.

*** This bug has been marked as a duplicate of bug 215354 ***
Comment 3 Nikolai Lifanov freebsd_committer 2016-12-27 14:43:17 UTC
I'm going to focus on this PR instead. The other one doesn't build and has "/usr/local/usr/local" hardcoded in one of the patch-* files.
Comment 4 Nikolai Lifanov freebsd_committer 2016-12-27 14:44:53 UTC
*** Bug 215354 has been marked as a duplicate of this bug. ***
Comment 5 commit-hook freebsd_committer 2016-12-27 21:25:34 UTC
A commit references this bug:

Author: lifanov
Date: Tue Dec 27 21:25:08 UTC 2016
New revision: 429667
URL: https://svnweb.freebsd.org/changeset/ports/429667

Log:
  Update fail2ban to version 0.9.6

  PR:		215239
  Submitted by:	John W. O'Brien <john@saltant.com>
  Reviewed by:	matthew
  Approved by:	theis@gmx.at (maintainer), matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8917

Changes:
  head/security/py-fail2ban/Makefile
  head/security/py-fail2ban/distinfo
  head/security/py-fail2ban/files/patch-config_filter.d_common.conf
  head/security/py-fail2ban/files/patch-setup.py
  head/security/py-fail2ban/pkg-plist
Comment 6 Nikolai Lifanov freebsd_committer 2016-12-27 21:26:34 UTC
Committed, thanks!